<?php
	session_start();
	$ruta="../../../";
	include_once($ruta."class/credito.php");
	$credito=new credito;
	include_once($ruta."class/dominio.php");
	$dominio=new dominio;
	include_once($ruta."class/individual.php");
	$individual=new individual;
	include_once($ruta."class/fgarantia.php");
	$fgarantia=new fgarantia;
	include_once($ruta."class/individualcredito.php");
	$individualcredito=new individualcredito;
	include_once($ruta."class/tipobanca.php");
	$tipobanca=new tipobanca;
	include_once($ruta."class/creditodetalle.php");
	$creditodetalle=new creditodetalle;

	$fecha=date("Y-m-d");
	extract($_POST);
	$dcred=$credito->muestra($idcredito);
	$idtipobanca=$dcred['idtipobanca'];
	$tba=$tipobanca->muestra($dcred['idtipobanca']);

	$montoCAM=$idmonto/$dcred['cuotas'];
	$montoCAM=number_format($montoCAM, 2, '.', '');
	/***************** INTERES  **********************************************/
	//meses plazo
    $domF=$dominio->muestra($dcred['idfrecuenciapago']);
    $mesesPlazo=$dcred['cuotas']/$domF['codigo'];
    $interesTotal=($idmonto*($dcred['interes']/100)*$mesesPlazo);
    $interesCuota=$interesTotal/$dcred['cuotas'];
    $interesCuota=round($interesCuota, 2);
    $interesCuota=number_format($interesCuota, 2, '.', '');
	/*************************************************************************/
	// CUOTA ACUMULADA
	$gaTotal=$idmonto*($tba['gastosadmin']/100);
	$cuotaAcumulada=$gaTotal/$dcred['cuotas'];
	$cuotaAcumulada=number_format($cuotaAcumulada, 2, '.', '');
	/****************************************************************/
	//SEGURO
	$seguro=$idmonto*($dcred['seguro']/100);
	$seguro=$seguro/$dcred['cuotas'];
    $seguro=number_format($seguro, 2, '.', '');
	/*******************************************************/
   $totalCuota=$montoCAM+$interesCuota+$cuotaAcumulada+$seguro;
   $totalCuota=number_format($totalCuota, 2, '.', '');
   //echo "<script>console.log(".$totalCuota.");</script>";

   $dgrCred=$individualcredito->muestra($dcred['idgrupocredito']);//para individual se mantiene el nombre
   $dgrp=$individual->muestra($dgrCred['idindividual']);
   $idciclo=$dgrp['idciclo'];
   if ($idciclo>2) {
   	$idciclo=2;
   }
   $dfgar=$fgarantia->mostrarUltimo("$idmonto>=montoIn and $idmonto<=montoFin and idtipobanca=$idtipobanca and ciclo=$idciclo");//1=credito activo	
   	$porcentaje=0;
   if ($flagAI==1) 
   {
   		$porcentaje=$dfgar['porcentaje'];
   }
   
   //echo 'IDFONDO: '.$dfgar['idfgarantia'];
	$valcredito=array(
		"fgarantia"=>"'$porcentaje'",
		"montoOT"=>"'$idmonto'",
		"saldo"=>"'$idmonto'",
		"montocuota"=>"'$totalCuota'",
		"fechadesembolso"=>"'$fecha'",
		"estadocredito"=>"'1'",
		"estado"=>"'1'",
 	);
	if($credito->actualizar($valcredito,$idcredito))
	{
		$dcred=$credito->muestra($idcredito);
		$cuenta=$dcred['cuenta'];
		$glosa="OTORGACION DE CRÉDITO";
		$valores2=array(
			"idcredito"=>"'$idcredito'",
			"codoperacion"=>"'1001'",
			"cuenta"=>"'$cuenta'",
			"fecha"=>"'$fecha'",
			"saldo"=>"'$idmonto'",
			"glosa"=>"'$glosa'",
			"estadoant"=>"'0'",
			"estado"=>"'1'"
	 	);
		$creditodetalle->insertar($valores2);
		$scred=$credito->mostrarPrimero("idgrupocredito=".$dcred['idgrupocredito']." and estado=0 and tipocredito=1"); //mantiene idgrupocredito (solo es nombre)
		if (count($scred)<=0) {
			$valgr=array(
				"estadocredito"=>"'11'",
				"estado"=>"'1'"
		 	);
			$individualcredito->actualizar($valgr,$dcred['idgrupocredito']); //se mantiene el nombre esta correcto
		}
		//genera movimiento de Otorgacion
	  	?>
			<script type="text/javascript">
			swal({
				title: "Éxito",
				text: "Crédito otorgado correctamente",
				type: "success",
				confirmButtonColor: "#28e29e",
				confirmButtonText: "OK",
				closeOnConfirm: false
	          }, function () {
				location.reload();
	          });
			</script>
		<?php
	}else{
		?>
			<script type="text/javascript">
				swal("ERROR","No se registro","error");
			</script>
       	<?php
		}
?>